My Activity Dashboard

Last update: September 10, 2026
•
1 min to read

This endpoint returns entities that are assigned to the signed-in user, based on entity configuration.

Note: For example,

Username: HubstreamUser

Entity Name: Investigation

Total entities: 1, 2, 3, 4, 5

If entities 1, 2, and 3 under the Investigation entity are assigned to HubstreamUser, then the user will only be able to view entities 1, 2, and 3. In this context, Investigation is considered an entity. This dashboard does not support all entities. An entity will be considered only if it qualifies as an active entity.

Definition of an Active Entity

An active entity is an entity that:

  1. Contains an Active Field configured as a value list
  2. Must have at least one item in the value list with a group value of “0”

HTTP Method

POST

Endpoint

/api/data/records/minitable

Request URL

{Base URL}/api/data/records/minitable

Sample Request Body

{
  "QueryInfo": {
    "Meta": {
      "PageInfo": {
        "PageSize": 10,
        "PageNumber": 1
      },
      "QueryType": "MyActiveAssignableEntities"
    },
    "Nodes": [
      {
        "Id": "Node0",
        "AssignedToMe": true,
        "Queries": [
          { "Name": "Investigation" },
          { "Name": "TakedownEntity" },
          { "Name": "Task" },
          { "Name": "Lead" }
        ],
        "Conditions": [
          {
            "FilterGroups": [
              {
                "Filters": [
                  {
                    "Entity": "Investigation",
                    "Field": "Status",
                    "Values": ["Pending", "Active", "On Hold", "Inconclusive", "Re-opened"]
                  },
                  {
                    "Entity": "TakedownEntity",
                    "Field": "Status",
                    "Values": ["In progress", "Pending"]
                  },
                  {
                    "Entity": "Task",
                    "Field": "TaskStatus",
                    "Values": ["Not Started", "In Progress", "Holding"]
                  },
                  {
                    "Entity": "Lead",
                    "Field": "Status",
                    "Values": ["New", "Reviewing"]
                  }
                ]
              }
            ],
            "FilterGroupJoinCondition": "AND"
          }
        ],
        "FilterByTeam": true
      }
    ]
  },
  "VizInfo": {
    "IntelVizLayoutName": "OneChartOneTableLayout"
  }
}

Parameters

Param NameData TypeDescription
QueryTypeStringUse MyActiveAssignableEntities to retrieve entities assigned to the current user.
AssignedToMeBooleanMust be set to true to filter entities assigned to the current user.
NameStringEntity name (for example, Investigation, Custom Recordal).
EntityStringName of the entity type to filter (for example, Investigation).
FieldStringField name to filter (for example, Status, Priority).
ValuesStringValues to match (for example, Active, Closed, InProgress).
FilterGroupJoinConditionConditionLogical operator used to combine filters: AND / OR.
FilterByTeamBooleantrue - Returns only entities within your organization/team. false - Returns entities across the system, regardless of organization/team.
IntelVizLayoutNameStringLayout type. Use OneChartOneTableLayout.

Missing or invalid credentials returns a 401 Unauthorized error.

Curl Example

Multi-line format (for readability)

curl --header "Accept-Language: en" \
     --http1.1 \
     --insecure \
     --verbose \
     --ntlm \
     --user "device-name1\jdoe:P@ssw0rd" \
     -X POST \
     "https://hubstreamproduction.hubstreamonline.com/api/data/records/minitable" \
     -H "Content-Type: application/json" \
     -d '{
       "QueryInfo": {
         "Meta": {
           "PageInfo": {
             "PageSize": 10,
             "PageNumber": 1
           },
           "QueryType": "MyActiveAssignableEntities"
         },
         "Nodes": [
           {
             "Id": "Node0",
             "AssignedToMe": true,
             "Queries": [
               { "Name": "Investigation" },
               { "Name": "TakedownEntity" },
               { "Name": "Task" },
               { "Name": "Lead" }
             ],
             "Conditions": [
               {
                 "FilterGroups": [
                   {
                     "Filters": [
                       {
                         "Entity": "Investigation",
                         "Field": "Status",
                         "Values": ["Pending", "Active", "On Hold", "Inconclusive", "Re-opened"]
                       },
                       {
                         "Entity": "TakedownEntity",
                         "Field": "Status",
                         "Values": ["In progress", "Pending"]
                       },
                       {
                         "Entity": "Task",
                         "Field": "TaskStatus",
                         "Values": ["Not Started", "In Progress", "Holding"]
                       },
                       {
                         "Entity": "Lead",
                         "Field": "Status",
                         "Values": ["New", "Reviewing"]
                       }
                     ]
                   }
                 ],
                 "FilterGroupJoinCondition": "AND"
               }
             ],
             "FilterByTeam": true
           }
         ]
       },
       "VizInfo": {
         "IntelVizLayoutName": "OneChartOneTableLayout"
       }
     }'

Single-line format (for terminal use)

curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/data/records/minitable" -H "Content-Type: application/json" -d "{\"QueryInfo\":{\"Meta\":{\"PageInfo\":{\"PageSize\":10,\"PageNumber\":1},\"QueryType\":\"MyActiveAssignableEntities\"},\"Nodes\":[{\"Id\":\"Node0\",\"AssignedToMe\":true,\"Queries\":[{\"Name\":\"Investigation\"},{\"Name\":\"TakedownEntity\"},{\"Name\":\"Task\"},{\"Name\":\"Lead\"}],\"Conditions\":[{\"FilterGroups\":[{\"Filters\":[{\"Entity\":\"Investigation\",\"Field\":\"Status\",\"Values\":[\"Pending\",\"Active\",\"On Hold\",\"Inconclusive\",\"Re-opened\"]},{\"Entity\":\"TakedownEntity\",\"Field\":\"Status\",\"Values\":[\"In progress\",\"Pending\"]},{\"Entity\":\"Task\",\"Field\":\"TaskStatus\",\"Values\":[\"Not Started\",\"In Progress\",\"Holding\"]},{\"Entity\":\"Lead\",\"Field\":\"Status\",\"Values\":[\"New\",\"Reviewing\"]}]}],\"FilterGroupJoinCondition\":\"AND\"}],\"FilterByTeam\":true}]},\"VizInfo\":{\"IntelVizLayoutName\":\"OneChartOneTableLayout\"}}"

Sample Responses

Status code 2XX indicates a successful request and response.

200 OK

Description: Operation succeeded

Response Body

[
  {
    "ID": "1",
    "GUID": "cf680419-73e2-d2b2-857a-80d07dd10b8f",
    "DateUpdated": "08-05-2026 10:15:16",
    "DisplayField": "2026-001",
    "EntityName": "Investigation"
  }
]